#ifndef COMMON_H
#define COMMON_H

#define AREA_X 2
#define AREA_Y 2
#define AREA_W 36
#define AREA_H 29

#include <gtk/gtkmenu.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk/gdkcolor.h>
#include <gconf/gconf-client.h>
#include <glib.h>

#define GCONF_PATH "/apps/osso/graph"
#define GCONF_PATH_CPU_ON "/apps/osso/graph/cpu_on"
#define GCONF_PATH_CPU_COLOR "/apps/osso/graph/cpu_color"
#define GCONF_PATH_CPU_ITEMS GCONF_PATH "/cpu_items"
#define GCONF_PATH_MEM_ON "/apps/osso/graph/mem_on"
#define GCONF_PATH_MEM_COLOR "/apps/osso/graph/mem_color"
#define GCONF_PATH_MEM_ITEMS GCONF_PATH "/mem_items"
#define GCONF_PATH_COMBO_ON "/apps/osso/graph/combo_on"
#define GCONF_PATH_COMMAND_NAMES GCONF_PATH "/command_names"
#define GCONF_PATH_COMMANDS GCONF_PATH "/commands"

#define CPU_DEFAULT 0x1f6fff
#define MEM_DEFAULT 0x1fff6f
#define CPU_ITEMS_DEFAULT 3
#define MEM_ITEMS_DEFAULT 3

#define _(x) x

void
move_left_and_draw(GdkPixbuf *pixbuf, guint user, guint nice, guint sys,
		   guchar r, guchar g, guchar b, guint x, guint w);
void int_to_color(gint colorval, GdkColor *color);
gint gc_get_int_fall(GConfClient * gcc, const char *key, gint fallback);
void popup_place(GtkMenu *menu, gint *x, gint *y, gboolean *push_in, gpointer user_data);
void append_items(GtkMenuShell *shell, GConfClient *client);
void run_cmd_dialog(GtkMenuItem *item, gpointer user_data);

#endif
